Skip to main content
POST
/
marketing
/
emails
/
2026-03
/
{emailId}
/
draft
/
reset
Reset the draft version
curl --request POST \
  --url https://api.hubapi.com/marketing/emails/2026-03/{emailId}/draft/reset \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/marketing/emails/2026-03/{emailId}/draft/reset"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/marketing/emails/2026-03/{emailId}/draft/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

emailId
string
required

The marketing email ID.

Response

Last modified on March 31, 2026